Список выделенных IP
Список выделенных IPs, видимых общедоступному субъекту API.
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"type": "<string>",
"asn": 123,
"country_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"ip_addresses": [
{
"ip": "<string>",
"fcrdns_confirmed": false,
"healthy": true,
"rdns": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Авторизации
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Параметры пути
Ответ
На этой странице выделен IPs.
Hide child attributes
Hide child attributes
Выделенный IP UUID
Видимое клиентом выделенное имя IP
Статус предоставления или жизненного цикла
Выделенный тип распределения IP
Номер автономной системы для распределения
Код страны ISO для распределения
Временная метка создания
Публичные адреса в этом распределении
Hide child attributes
Hide child attributes
Публичный адрес IP
Пройден ли форвардно подтвержденный обратный DNS
Текущее состояние здоровья, если доступно
Обратное имя хоста DNS при настройке
Временная метка последнего обновления
Текущий номер страницы, основанный на единице
Максимальное количество элементов на странице
Полное соответствие выделенному IPs
Была ли эта страница полезной?
